Skip to content
Start here

Download command output file

zero_trust.dex.commands.downloads.get(strfilename, DownloadGetParams**kwargs) -> BinaryResponseContent
GET/accounts/{account_id}/dex/commands/{command_id}/downloads/{filename}

Downloads artifacts for an executed command. Bulk downloads are not supported

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare DEX WriteCloudflare DEX ReadZero Trust ReportZero Trust Read
ParametersExpand Collapse
account_id: str
maxLength32
command_id: str

Unique identifier for a command

filename: str
ReturnsExpand Collapse
BinaryResponseContent

Download command output file

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
download = client.zero_trust.dex.commands.downloads.get(
    filename="filename",
    account_id="01a7362d577a6c3019a474fd6f485823",
    command_id="5758fefe-ae7e-4538-a39b-1fef6abcb909",
)
print(download)
content = download.read()
print(content)
Returns Examples